#
# spec file for package python-cbor2
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cbor2
Version:        5.0.1
Release:        bp154.1.24
Summary:        Pure Python CBOR (de)serializer with extensive tag support
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/agronholm/cbor2
Source:         https://files.pythonhosted.org/packages/source/c/cbor2/cbor2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 36.2.7}
BuildRequires:  %{python_module setuptools_scm >= 1.7.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Pure Python CBOR (de)serializer with extensive tag support

%prep
%setup -q -n cbor2-%{version}
# Remove test dependency on pytest-cov
sed -i 's/--cov//' setup.cfg

%build
export LANG=en_US.UTF8
%python_build

%install
export LANG=en_US.UTF8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF8
%python_exec -m pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%ifpython2
%{python_sitelib}/*
%endif
%ifpython3
%ifnarch x86_64 s390x
%{python_sitearch}/*
%else
%{python_sitelib}/*
%endif
%endif

%changelog
* Wed May 12 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- On python3 this package is compiled, so mark it such
* Fri Jan 24 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 5.0.1
  * Fix deprecation warning on python 3.7, 3.8
  * BACKWARD INCOMPATIBLE CBOR does not have a bare DATE type,
    encoding dates as datetimes is disabled by default
  * few major changes in the API, see docs/versionhistory.rst
  * Optional Pure C implementation by waveform80 that functions
    identically to the pure Python implementation
  * Drop Python 3.3 and 3.4 support from the build process
  * Added support for encoding and decoding IPv4 and IPv6 addresses
* Tue Feb 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v4.1.2
